List Occupations
curl --request GET \
--url https://sandbox.api.engagexpay.com/v1/occupations \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.engagexpay.com/v1/occupations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.engagexpay.com/v1/occupations")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.engagexpay.com/v1/occupations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.engagexpay.com/v1/occupations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 10
},
"occupations": [
{
"id": 1,
"title": "Software Engineer"
}
]
}
}{
"message": "Authentication failed"
}All Catalogues
List Occupations
Retrieve a list of available occupations
GET
/
v1
/
occupations
List Occupations
curl --request GET \
--url https://sandbox.api.engagexpay.com/v1/occupations \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.engagexpay.com/v1/occupations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.engagexpay.com/v1/occupations")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.engagexpay.com/v1/occupations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.engagexpay.com/v1/occupations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 10
},
"occupations": [
{
"id": 1,
"title": "Software Engineer"
}
]
}
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
Number of items to return per page
Required range:
1 <= x <= 512The page number to retrieve
Required range:
x >= 1Response
List of occupations retrieved successfully
Show child attributes
Show child attributes
⌘I